package net.greencouchgames.ld27;

import java.util.ArrayList;
import java.util.Iterator;

public class u_Explosion {
	public static ArrayList<e_Explosion> e = new ArrayList<e_Explosion>();
	public static float timer = 0;
	
	public static void boom(float x,float y) {
		e.add(new e_Explosion(x,y));
		timer = 0.5f;
	}
	
	public static void updateExplosions(float d) {
		if (e.size()<=0) return;
		for (Iterator<e_Explosion> eri = e.iterator(); eri.hasNext(); ) {
			e_Explosion er = eri.next();
			if (er.update(d)) {
				eri.remove();
				continue;
			}
		}
	}
}
